conversations
Scout API 1.0.0 — see schemas for shared types.
completion
POST /api/conversations/{conversation_id}/completion
conversation_completion
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes | |
context |
query | string | null | no |
Request body
Content-Type: multipart/form-data
Schema: ConversationChatCompletionForm
Responses
POST /api/conversations/{conversation_id}/completion/
conversation_completion
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes | |
context |
query | string | null | no |
Request body
Content-Type: multipart/form-data
Schema: ConversationChatCompletionForm
Responses
GET /api/conversations
conversations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
after_timestamp |
query | number | null | no | |
limit |
query | integer | no | |
include_projects |
query | boolean | no | |
assistant_id |
query | string (uuid) | null | no | |
assistant_filter_mode |
query | AssistantFilterMode | null | no | |
is_system |
query | boolean | no |
Responses
- 200 — OK
application/json→ ConversationsListResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/conversations
create_conversation
Request body
Content-Type: application/json
Schema: CreateConversationRequest
Responses
- 201 — Created
application/json→ ConversationResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/conversations/
create_conversation
Request body
Content-Type: application/json
Schema: CreateConversationRequest
Responses
- 201 — Created
application/json→ ConversationResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/conversations/bulk-delete
delete_multiple_conversations
Request body
Content-Type: application/json
Schema: BulkDeleteConversationsRequest
Responses
- 200 — OK
application/json→ BulkDeleteConversationsResponse- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/conversations/{conversation_id}
delete_conversation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ ConversationResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/conversations/{conversation_id}
get_conversation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ ConversationResponse- 422 — Unprocessable Content
application/json→ ValidationError
PUT /api/conversations/{conversation_id}
update_conversation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: UpdateConversationRequest
Responses
- 200 — OK
application/json→ ConversationSummaryResponse- 422 — Unprocessable Content
application/json→ ValidationError
PUT /api/conversations/{conversation_id}/message
update_conversation_message
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: UpdateConversationMessageRequest
Responses
- 200 — OK
application/json→ ConversationResponse- 422 — Unprocessable Content
application/json→ ValidationError
PUT /api/conversations/{conversation_id}/payload
replace_conversation_payload
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: ReplaceConversationPayloadRequest
Responses
- 200 — OK
application/json→ ConversationResponse- 422 — Unprocessable Content
application/json→ ValidationError
files
POST /api/conversations/{conversation_id}/signed-upload-url
get_signed_upload_url
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: SignedUrlUploadRequest
Responses
- 200 — OK
application/json→ SignedUploadUrlResponse- 422 — Unprocessable Content
application/json→ ValidationError
skills
GET /api/conversations/{conversation_id}/skills
list_conversation_skills
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ SkillSummaryResponseList- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/conversations/{conversation_id}/skills/{skill_id}
remove_skill_from_conversation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes | |
skill_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ ConversationSkillResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/conversations/{conversation_id}/skills/{skill_id}
add_skill_to_conversation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes | |
skill_id |
path | string (uuid) | yes |
Responses
- 201 — Created
application/json→ ConversationSkillResponse- 422 — Unprocessable Content
application/json→ ValidationError
streams
GET /api/conversations/{conversation_id}/streams/active
get_active_stream
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ StreamingSessionResponse- 204 — No Content
- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/conversations/{conversation_id}/streams/{stream_id}
cancel_stream
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes | |
stream_id |
path | string (uuid) | yes |
Responses
GET /api/conversations/{conversation_id}/streams/{stream_id}
reconnect_stream
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes | |
stream_id |
path | string (uuid) | yes |
Responses
user_data
POST /api/conversations/{conversation_id}/user_data
update_conversation_user_data
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: UpdateConversationUserDataRequest
Responses
- 200 — OK
application/json→ ConversationResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/conversations/{conversation_id}/user_data/{key}
update_conversation_user_data_key
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id |
path | string (uuid) | yes | |
key |
path | string | yes |
Request body
Content-Type: application/json
Schema: UpdateConversationUserDataKeyRequest
Responses
- 200 — OK
application/json→ ConversationResponse- 422 — Unprocessable Content
application/json→ ValidationError